xine-lib: IBaseFilter_vt Struct Reference

xine-lib 1.2.12

Data Fields
IBaseFilter_vt Struct Reference

`#include <interfaces.h>`

## Data Fields
long STDCALL(* | QueryInterface )(IUnknown *This, const GUID *riid, void **ppvObject)
long STDCALL(* | AddRef )(IUnknown *This)
long STDCALL(* | Release )(IUnknown *This)
HRESULT STDCALL(* | GetClassID )(IBaseFilter *This, CLSID *pClassID)
HRESULT STDCALL(* | Stop )(IBaseFilter *This)
HRESULT STDCALL(* | Pause )(IBaseFilter *This)
HRESULT STDCALL(* | Run )(IBaseFilter *This, REFERENCE_TIME tStart)
HRESULT STDCALL(* | GetState )(IBaseFilter *This, unsigned long dwMilliSecsTimeout, void *State)
HRESULT STDCALL(* | SetSyncSource )(IBaseFilter *This, IReferenceClock *pClock)
HRESULT STDCALL(* | GetSyncSource )(IBaseFilter *This, IReferenceClock **pClock)
HRESULT STDCALL(* | EnumPins )(IBaseFilter *This, IEnumPins **ppEnum)
HRESULT STDCALL(* | FindPin )(IBaseFilter *This, const unsigned short *Id, IPin **ppPin)
HRESULT STDCALL(* | QueryFilterInfo )(IBaseFilter *This, void *pInfo)
HRESULT STDCALL(* | JoinFilterGraph )(IBaseFilter *This, IFilterGraph *pGraph, const unsigned short *pName)
HRESULT STDCALL(* | QueryVendorInfo )(IBaseFilter *This, unsigned short **pVendorInfo)

## Field Documentation

## ◆ AddRef

long STDCALL(* IBaseFilter_vt::AddRef) (IUnknown *This)

Referenced by CBaseFilter2Create(), CBaseFilterCreate(), CInputPin_QueryPinInfo(), CRemotePin2_QueryPinInfo(), and CRemotePin_QueryPinInfo().

## ◆ EnumPins

HRESULT STDCALL(* IBaseFilter_vt::EnumPins) (IBaseFilter *This, IEnumPins **ppEnum)

Referenced by CBaseFilter2Create(), CBaseFilterCreate(), and DS_FilterCreate().

## ◆ FindPin

HRESULT STDCALL(* IBaseFilter_vt::FindPin) (IBaseFilter *This, const unsigned short *Id, IPin **ppPin)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ GetClassID

HRESULT STDCALL(* IBaseFilter_vt::GetClassID) (IBaseFilter *This, CLSID *pClassID)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ GetState

HRESULT STDCALL(* IBaseFilter_vt::GetState) (IBaseFilter *This, unsigned long dwMilliSecsTimeout, void *State)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ GetSyncSource

HRESULT STDCALL(* IBaseFilter_vt::GetSyncSource) (IBaseFilter *This, IReferenceClock **pClock)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ JoinFilterGraph

HRESULT STDCALL(* IBaseFilter_vt::JoinFilterGraph) (IBaseFilter *This, IFilterGraph *pGraph, const unsigned short *pName)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ Pause

HRESULT STDCALL(* IBaseFilter_vt::Pause) (IBaseFilter *This)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ QueryFilterInfo

HRESULT STDCALL(* IBaseFilter_vt::QueryFilterInfo) (IBaseFilter *This, void *pInfo)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ QueryInterface

long STDCALL(* IBaseFilter_vt::QueryInterface) (IUnknown *This, const GUID *riid, void **ppvObject)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ QueryVendorInfo

HRESULT STDCALL(* IBaseFilter_vt::QueryVendorInfo) (IBaseFilter *This, unsigned short **pVendorInfo)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ Release

long STDCALL(* IBaseFilter_vt::Release) (IUnknown *This)

Referenced by CBaseFilter2Create(), CBaseFilterCreate(), and DS_Filter_Destroy().

## ◆ Run

HRESULT STDCALL(* IBaseFilter_vt::Run) (IBaseFilter *This, REFERENCE_TIME tStart)

Referenced by CBaseFilter2Create(), CBaseFilterCreate(), and DS_Filter_Start().

## ◆ SetSyncSource

HRESULT STDCALL(* IBaseFilter_vt::SetSyncSource) (IBaseFilter *This, IReferenceClock *pClock)

Referenced by CBaseFilter2Create(), and CBaseFilterCreate().

## ◆ Stop

HRESULT STDCALL(* IBaseFilter_vt::Stop) (IBaseFilter *This)

Referenced by CBaseFilter2Create(), CBaseFilterCreate(), and DS_Filter_Stop().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/libw32dll/DirectShow/interfaces.h